function [rmse,actY] = calculateRMSE(fis,x,y)

% Source: lokal functions
% https://de.mathworks.com/help/fuzzy/tune-fis-tree-for-gas-mileage-prediction.html

% Evaluate FIS
actY = evaluateFIS(fis,x);

% Calculate RMSE
del = actY - y;
rmse = sqrt(mean(del.^2));

end